CREATE PROCEDURE [C6MartPeriodico].[rp_aggiornaDataValidazione]
-- Serve all'applicativo da scaricare one shot, a regime modificare il linked server con CONSEVO
as 
--select count(*) from [10.10.32.220].ConsulenzaBaseFL.[dbo].CBS_STAMPAREPORT
begin
BEGIN TRANSACTION
	BEGIN TRY
		--SELECT COUNT(*) FROM [CONSEVO].ConsulenzaBaseFL.[dbo].CBS_STAMPAREPORT
		delete from [CONSEVO_PERIODICO].ConsulenzaBaseFL.[dbo].CBS_STAMPAREPORT
		insert into [CONSEVO_PERIODICO].ConsulenzaBaseFL.[dbo].CBS_STAMPAREPORT
		select 
			DataGenerazione as data,
			SUBSTRING(NomeFile, 1, 11) as codiceContratto, --SUBSTRING(NomeFile, 0, 12)
			case 
				when (id_fk_zip = -1) then 0
				else 1
			end as definitivo,
			getDate() as dataAggiornamento
		from 
		(
		select 
		datagenerazione, nomefile,id_fk_zip, 
		row_number() over (partition by SUBSTRING(NomeFile, 1, 11) order by datagenerazione desc) pippo from --SUBSTRING(NomeFile, 0, 12)
		C6MartPeriodico.gestione_pdf_ftp
		)l where pippo =1
	COMMIT TRANSACTION
END TRY
BEGIN CATCH
	ROLLBACK TRANSACTION
END CATCH
--non esegue RPC vedere come farlo
--exec [10.10.32.220].consulenzabasefl.[dbo].CBS_STREPORT
/*
la procedura è consulenzabasefl.[dbo].CBS_STREPORT
[12:41:32] Veronica: tabella:
[12:41:52] Veronica: ConsulenzaBaseFL.[dbo].[CBS_StampaReport](
 [DATA] [datetime] NULL,
 [CODICECONTRATTO] [varchar](11) NULL,
 [DEFINITIVO] [int] NULL,
 [DATAAGGIORNAMENTO] [datetime] NULL
)
*/
end